## libapache2-mod-rpaf 0.5

=== Makefile ===
# Makefile for mod_rpaf.c (gmake)
# $Id: Makefile,v 1.4 2002/06/18 15:05:07 thomas Exp $
#APXS=$(shell which apxs) 
APXS=/home/thomas/build/apache-dev/bin/apxs
#APXS=/pat/to/your/apxs

default:
	@echo mod_rpaf:
	@echo nevest version available at http://stderr.net/apache/rpaf/
	@echo
	@echo following options available:
	@echo \"make rpaf\" to compile the 1.3 version
	@echo \"make install\" to install the 1.3 version
	@echo \"make rpaf-2.0\" to compile the 2.0 version
	@echo \"make install-2.0\" to install the 2.0 version
	@echo
	@echo change path to apxs if this is not it: \"$(APXS)\"


rpaf: mod_rpaf.so
	@echo make done, type \"make install\" to install mod_rpaf

rpaf-2.0: mod_rpaf-2.0.o
	@echo make done, type \"make install-2.0\" to install mod_rpaf-2.0

mod_rpaf.so: mod_rpaf.c
	$(APXS) -c -o $@ mod_rpaf.c

mod_rpaf.c:

mod_rpaf-2.0.o: mod_rpaf-2.0.c
	$(APXS) -c -n $@ mod_rpaf-2.0.c

mod_rpaf-2.0.c:

install: mod_rpaf.so
	$(APXS) -i -n mod_rpaf mod_rpaf.so

install-2.0: mod_rpaf-2.0.o
	$(APXS) -i -n mod_rpaf-2.0.so mod_rpaf-2.0.la

clean:
	rm -rf *~ *.o *.so *.lo *.la *.slo .libs/
